$(document).ready(function () {
	$("#gatorNav%id% li").each(function (i) {
		i = i+1;
		$(this).addClass("link"+i);
		});
		$("#gatorNav%id% ul").each(function (i) {
   		i = i+1;
   		$(this).addClass("list"+i);
	});

	%[if %("%id=partial_overflow%" == "true")% ]%
	// If Gator is placed inside a Stacks Partial, set the two outermost containers to 'overflow:visible'
	$("#gatorWrapper%id%").parent().css("overflow", "visible");
	$("#gatorWrapper%id%").parent().parent().css("overflow", "visible");
	%[endif]%

	%[if %("%id=accesskeys%" == "true")% ]%
	// Give parent links an accesskey attribute and value
	$('#gatorNav%id% ul li a:not(ul li ul li a)').attr('accesskey', function(i) {
		return (i+1);
	});
	%[endif]%

	%[if %("%id=title_tooltips%" == "true")% ]%
	$("#gatorNav%id% li a").each(function() {
		var link_text = $(this).text();
		$(this).prop('title', link_text);
	});
	%[endif]%

	// If link has subpages
	$("#gatorNav%id% li a").each(function() {
		if ($(this).next().length > 0) {
			$(this).parent('li').addClass('is-gator-parent-item');
			$(this).addClass("parent-link");
		};
	});

	// Give each submenu a class
	$("#gatorNav%id% ul ul").addClass('sub-menu');

	var isgatorparentlink = $('#gatorNav%id% li a.parent-link');
	$( '<div class="gator-more">%id=mobile_expand_icon%</div>').insertBefore(isgatorparentlink);
	$('.gator-more').click(function(){
		$(this).parent('li').toggleClass('gator-open');
    });

	$('#navButton%id%').click(function(){
		$('#navButton%id%, #gatorNav%id%').toggleClass('gator-menu-open');
	});

    // Make the navigation button toggle the navigation container, in mobile mode
    $("#mobileNavButton%id%").click(function(){
        $('#gatorContent%id%').toggleClass('gator-closed-state');
        $('#gatorContent%id%').toggleClass('gator-opened-state');
        return false;
	});

	// Tab support
	$('#gatorNav%id% .is-gator-parent-item a').focus( function () {
		$(this).siblings('#gatorNav%id% .sub-menu').addClass('gator-focused');
	}).blur(function(){
		$(this).siblings('#gatorNav%id% .sub-menu').removeClass('gator-focused');
	});

	$('#gatorNav%id% .is-gator-parent-item a').focus( function () {
		$(this).parents('#gatorNav%id% .sub-menu').addClass('gator-focused');
	}).blur(function(){
		$(this).parents('#gatorNav%id% .sub-menu').removeClass('gator-focused');
	});

    // If a touch device is detected, add 'touchDevice' class to the page
    if( /Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent) ) {
        $('body').addClass('isTouchDevice');
	}

});
